﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:viewmodels="clr-namespace:TimeTracker.Apps.ViewModels"
             x:DataType="viewmodels:AddTimerAddTaskViewModel"
             x:Class="TimeTracker.Apps.Pages.AddTimerAddTaskPage">

    <ContentPage.Content>

        <StackLayout>

            <StackLayout Margin="40">
                <Label Text="AJOUTER UNE TÂCHE" TextColor="CadetBlue" FontSize="20" HorizontalOptions="CenterAndExpand" FontAttributes="Bold"/>
            </StackLayout>

            <StackLayout Padding="0">

                <Frame BackgroundColor="Transparent" BorderColor="DarkGray" Padding="10" Margin="5"   HorizontalOptions="FillAndExpand">

                    <StackLayout Orientation="Vertical" Margin="15">
                        <Editor x:Name="Name" Text="{Binding Name}" Placeholder="Nom" AutoSize="TextChanges"></Editor>
                        <Label></Label>
                    </StackLayout>

                </Frame>
            </StackLayout>
            <Label></Label>
            <StackLayout Orientation="Horizontal"
                                     HorizontalOptions="CenterAndExpand"
                                     Margin="20">

                <Button Command="{Binding SaveCommand}"
                                   CommandParameter="{Binding .}"
                                   Text="     AJOUTER     "
                                   BackgroundColor="CadetBlue"
                                   TextColor="White"
                                   CornerRadius="30"
                                   FontSize="Medium"/>
                <Button Command="{Binding GoBackCommand}"
                                    CommandParameter="{Binding .}"
                                    Text="      RETOUR      "
                                    BackgroundColor="CadetBlue"
                                    TextColor="White"
                                    CornerRadius="30"
                                    FontSize="Medium"/>

            </StackLayout>

        </StackLayout>

    </ContentPage.Content>
</ContentPage>